API Reference
Update an existing transaction screening
/transaction_screening https://transaction-api.cable.tech Authentication
- Bearer token in the Authorization header
Request body
Transaction screening data to update, referenced by ‘screening_id’. The ‘timestamp’ field represents the update time. Only the fields to be updated need to be included.
-
screening_idstring requiredUnique identifier for a transaction screening. This is the primary key for a screening and should be unique across all transaction screenings. Updates to a transaction screening should be made using this identifier.
-
typestringThe type of screening check performed.
-
outcomestringThe outcome of the screening check.
-
providerstringThe provider that provided the screening check.
-
listslist of stringsThe list(s) that the transaction was screened against.
-
related_tx_idstringUnique identifier for a transaction as it relates to the transaction screening.
-
additional_propertieslist of objectsAdditional metadata that relates to a transaction screening.
-
keystring requiredThe key of the additional property. This should be unique within the additional properties array.
-
valuestring requiredThe value of the additional property.
-
typestring requiredThe type of the additional property value, for example “string”, “number”, “boolean”, “object”, “array”.
Allowed values
STRINGNUMBERBOOLEANOBJECTARRAY -
descriptionstring requiredA description of the additional property. This should provide context for the value.
-
-
timestampstring requiredThe time of the transaction screening. This should be in ISO 8601 format. When adding a new transaction screening, this field represents the creation time. When updating a transaction screening, this represents the time of the update.
Format
date-time
Responses
200 Transaction screening updated successfully
-
screening_idstring requiredUnique identifier for a transaction screening. This is the primary key for a screening and should be unique across all transaction screenings. Updates to a transaction screening should be made using this identifier.
-
typestringThe type of screening check performed.
-
outcomestringThe outcome of the screening check.
-
providerstringThe provider that provided the screening check.
-
listslist of stringsThe list(s) that the transaction was screened against.
-
related_tx_idstringUnique identifier for a transaction as it relates to the transaction screening.
-
additional_propertieslist of objectsAdditional metadata that relates to a transaction screening.
-
keystring requiredThe key of the additional property. This should be unique within the additional properties array.
-
valuestring requiredThe value of the additional property.
-
typestring requiredThe type of the additional property value, for example “string”, “number”, “boolean”, “object”, “array”.
Allowed values
STRINGNUMBERBOOLEANOBJECTARRAY -
descriptionstring requiredA description of the additional property. This should provide context for the value.
-
-
timestampstring requiredThe time of the transaction screening. This should be in ISO 8601 format. When adding a new transaction screening, this field represents the creation time. When updating a transaction screening, this represents the time of the update.
Format
date-time
Errors
- 400 Invalid transaction screening data
- 401 Unauthorized request
- 404 Transaction screening not found
- 429 Rate limit exceeded
- 500 Server error
- default General error
-
codeinteger requiredFormat
int32 -
messagestring required -
errorslist of objectsDetailed information about errors in specific fields.
-
fieldstring -
messagestring
-